Subject: Re: bug#25864: 25.1; Incorrect rendering for Bengali compound character

From: handa <[email-masked]>
Date: Wed, 01 Mar 2017 01:25:30 +0900

In article <[email-masked]>, Mandar Mitra <[email-masked]> writes:

> handa wrote (Mon, Feb 27, 2017 at 11:01:37PM +0900):
> > Hi,
> > 
> > Which Bengali font are you using with Emacs?

> Hi, I'm using Lohit Bengali. I have the following in my .emacs:

> (set-fontset-font t (cons (decode-char 'ucs #x0980)
>                           (decode-char 'ucs #x09ff))
>                     (font-spec :name "Lohit Bengali" :size 16.0))

Thank you for the info.  I installed that font and confirmed the wrong
rendering as you wrote.

It seems that this patch should be applied to the file BENG-OTF.flt
which is included in m17n-db package.

diff --git a/FLT/BENG-OTF.flt b/FLT/BENG-OTF.flt
index 45cc554..0cc5e76 100644
--- a/FLT/BENG-OTF.flt
+++ b/FLT/BENG-OTF.flt
@@ -232,7 +232,7 @@
  (lang-forms
   (cond
    ("(.H)J" (1 :otf=beng=half+))
-   (".H" :otf=beng=blwf,half,vatu+)
+   (".+H" :otf=beng=blwf,half,vatu+)
    ("." =)))
 
  (post

I attach a version which contains the above change.  Please put that
file under ~/.m17n.d and start Emacs again.

Does it work?  Doesn't it have a bad side effect for the rendering of
other Bengali pattern?

---
K. Handa
[email-masked]